/** \file
    \brief Handy definitions for pin toggling
*/

// x10 gain
#define setX10() AT91F_PIO_SetOutput(AT91C_BASE_PIOA,AT91C_PIO_PA11)
#define clearX10() AT91F_PIO_ClearOutput(AT91C_BASE_PIOA,AT91C_PIO_PA11)

// AC/DC coupling
#define setACDC() AT91F_PIO_CfgOutput(AT91C_BASE_PIOA,AT91C_PIO_PA10); AT91F_PIO_SetOutput(AT91C_BASE_PIOA,AT91C_PIO_PA10)
#define clearACDC() AT91F_PIO_CfgInput(AT91C_BASE_PIOA,AT91C_PIO_PA10); AT91C_BASE_PIOA->PIO_PPUDR = AT91C_PIO_PA10

// gain selector
#define setG1() AT91F_PIO_CfgOutput(AT91C_BASE_PIOA,AT91C_PIO_PA9); AT91F_PIO_SetOutput(AT91C_BASE_PIOA,AT91C_PIO_PA9)
#define clearG1() AT91F_PIO_CfgInput(AT91C_BASE_PIOA,AT91C_PIO_PA9); AT91C_BASE_PIOA->PIO_PPUDR = AT91C_PIO_PA9
#define setG2() AT91F_PIO_CfgOutput(AT91C_BASE_PIOA,AT91C_PIO_PA8); AT91F_PIO_SetOutput(AT91C_BASE_PIOA,AT91C_PIO_PA8)
#define clearG2() AT91F_PIO_CfgInput(AT91C_BASE_PIOA,AT91C_PIO_PA8); AT91C_BASE_PIOA->PIO_PPUDR = AT91C_PIO_PA8
#define setG3() AT91F_PIO_CfgOutput(AT91C_BASE_PIOA,AT91C_PIO_PA7); AT91F_PIO_SetOutput(AT91C_BASE_PIOA,AT91C_PIO_PA7)
#define clearG3() AT91F_PIO_CfgInput(AT91C_BASE_PIOA,AT91C_PIO_PA7); AT91C_BASE_PIOA->PIO_PPUDR = AT91C_PIO_PA7

static inline void ConfigureIO(void) {
    //PA6..PA11 as outputs
    AT91F_PIO_CfgOutput(AT91C_BASE_PIOA, AT91C_PIO_PA6);		//beeper
    AT91F_PIO_CfgOutput(AT91C_BASE_PIOA, AT91C_PIO_PA7);
    AT91F_PIO_CfgOutput(AT91C_BASE_PIOA, AT91C_PIO_PA8);
    AT91F_PIO_CfgOutput(AT91C_BASE_PIOA, AT91C_PIO_PA9);
    AT91F_PIO_CfgOutput(AT91C_BASE_PIOA, AT91C_PIO_PA10);
    AT91F_PIO_CfgOutput(AT91C_BASE_PIOA, AT91C_PIO_PA11);
}
